[Pkg-haskell-commits] darcs: tools: Make mass-build installability detection more reliable
Joachim Breitner
mail at joachim-breitner.de
Sat Feb 9 11:35:02 UTC 2013
Sat Feb 9 11:29:35 UTC 2013 Joachim Breitner <mail at joachim-breitner.de>
* Make mass-build installability detection more reliable
Ignore-this: a3ad1cbf2ec13891a788799b0dcd5bf1
M ./mass-build.sh -2 +2
Sat Feb 9 11:29:35 UTC 2013 Joachim Breitner <mail at joachim-breitner.de>
* Make mass-build installability detection more reliable
Ignore-this: a3ad1cbf2ec13891a788799b0dcd5bf1
diff -rN -u old-tools//mass-build.sh new-tools//mass-build.sh
--- old-tools//mass-build.sh 2013-02-09 11:35:02.247887590 +0000
+++ new-tools//mass-build.sh 2013-02-09 11:35:02.291718952 +0000
@@ -191,7 +191,7 @@
dpkg-scansources . > Sources
schroot -c $schroot -- bash -c "cat /var/lib/apt/lists/*Packages" > Packages
dose-builddebcheck --explain --failures --deb-native-arch=amd64 Packages Sources > ../edos-failures.log
-installable=$(dose-builddebcheck --successes --deb-native-arch=amd64 Packages Sources|perl -ne 'print "$1\n" if /package: src%3a(.*)/')
+installable="$(dose-builddebcheck --successes --deb-native-arch=amd64 Packages Sources|perl -ne 'print "$1\n" if /package: src%3a(.*)/')"
popd >/dev/null
#echo "The following $(echo $uninstallable|wc -w) packages are uninstallable:"
@@ -219,7 +219,7 @@
DISTRIBUTION=$(dpkg-parsechangelog -l$repodir/changelog -c1 |grep-dctrl -n -s Distribution .)
DSC=${PACKAGE}_${VERSION}.dsc
- if ! echo $installable | fgrep -wq "$PACKAGE"
+ if ! echo "$installable" | fgrep -xq "$PACKAGE"
then
echo "Package was found to be uninstallable, skipping.."
nextround="$nextround $dir"
More information about the Pkg-haskell-commits
mailing list